For the complete documentation index, see llms.txt. This page is also available as Markdown.

Notifications

Get notifications for the current recipient.

get

Retrieves a paginated list of notifications for the current recipient.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Query parameters
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
Responses
200

OK

dateAddedstring · date-timeRequired
objectIdentifierstring · uuidRequired
isReadbooleanRequired
titlestring · nullableRequired
messagestring · nullableRequired
typestring · nullableRequired
get/notifications
GET /notifications HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "dateAdded": "2026-01-01T00:00:00.000Z",
    "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "isRead": true,
    "title": "text",
    "message": "text",
    "type": "text",
    "resourceIdentifiers": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  }
]

Delete a notification.

delete

Deletes a notification using its object identifier.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
Responses
204

No Content

No content

delete/notifications/{objectIdentifier}
DELETE /notifications/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Update the read status of a notification.

patch

Updates the read status of a notification for the current recipient.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
Body
isReadbooleanOptional
Responses
204

No Content

No content

patch/notifications/{objectIdentifier}
PATCH /notifications/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "isRead": true
}

No content

Mark all notifications as read.

post

Marks all notifications as read for the current recipient.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Responses
200

OK

No content

post/notifications/read-all
POST /notifications/read-all HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Last updated